VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::metamodel::ConstantValue::Category Class Reference

The `ConstantValue.Category` enumerated type defines enumeration values for the valid kinds of values. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, PRIMITIVE, LIST }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Category[] | GetValues ()
static Category | ValueOf (string name)
## Static Public Attributes
static readonly Category | PRIMITIVE = new Category("PRIMITIVE", Values.PRIMITIVE)
| Indicates the type of constant value is primitive.
static readonly Category | LIST = new Category("LIST", Values.LIST)
| Indicates the type of constant value is a list.

## Detailed Description

The `ConstantValue.Category` enumerated type defines enumeration values for the valid kinds of values.

## Member Enumeration Documentation

enum vmware::vapi::metadata::metamodel::ConstantValue::Category::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  PRIMITIVE | Indicates the type of constant value is primitive.
  LIST | Indicates the type of constant value is a list.

## Member Function Documentation

Values vmware::vapi::metadata::metamodel::ConstantValue::Category::GetEnumValue | ( |  | ) | `[inline]`

static Category [] vmware::vapi::metadata::metamodel::ConstantValue::Category::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::metamodel::ConstantValue::Category::IsUnknown | ( |  | ) | `[inline]`

static Category vmware::vapi::metadata::metamodel::ConstantValue::Category::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Category vmware::vapi::metadata::metamodel::ConstantValue::Category::LIST = new Category("LIST", Values.LIST)`[static]`

Indicates the type of constant value is a list.

readonly Category vmware::vapi::metadata::metamodel::ConstantValue::Category::PRIMITIVE = new Category("PRIMITIVE", Values.PRIMITIVE)`[static]`

Indicates the type of constant value is primitive.

The documentation for this class was generated from the following file:

- ConstantValue.cs